All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.sasserver.tree
Class _rprxRemoteServerNodeClient

    com.sas.sasserver.tree._rprxRemoteServerNodeClient

All Implemented Interfaces:
  com.sas.beans.IntrospectInterfaceForBeanInfo, com.sas.beans.PropertyChangeSource, com.sas.beans.VetoableChangeSource, com.sas.collection.ContentsChangedSource, ComponentInterface, LinkPropertiesInterface, ModelInterface, NodeIconInterface, NodeInterface, SimpleNodeInterface, TreeInterface, com.sas.rmi.ConnectionLoginInterface, com.sas.rmi.DelegationModelInterface, com.sas.rmi.DesignTimeInf, com.sas.rmi.RocfRemoteObject, RemoteSASListInterface, RemoteServerNodeInterface, ServerNodeInterface, ViewInterface, MultipleValueEventSourceInterface, java.beans.PropertyChangeListener, java.io.ObjectInputValidation, java.io.Serializable, java.util.EventListener

    public class _rprxRemoteServerNodeClient

implements ServerNodeInterface, ComponentInterface, RemoteServerNodeInterface, RemoteSASListInterface, com.sas.collection.ContentsChangedSource, TreeInterface, NodeInterface, NodeIconInterface, com.sas.rmi.DelegationModelInterface

See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.sas.sasserver.tree.RemoteServerNodeInterface
`CHILDREN_KEY, CLASS_KEY, contextClasspath, EXPICON_KEY, EXPSELICON_KEY, EXPTEXT_KEY, ICON_KEY, ID_KEY, LEAF_KEY, OTHERICONS_KEY, PARENTID_KEY, SELICON_KEY, TEXT_KEY, TYPE_KEY`

Constructor Summary
`_rprxRemoteServerNodeClient()`

Method Summary
`int` | `_countNodeChildren(int p1)` Count the node's children, but stop if a maximum is reached.
`int` | `_getDefaultIcon()` Retrieve this node's default icon, which is used to display the unexpanded node in a tree view.
`java.lang.Class` | `_getDelegateClass()` Return the class of the delegate or null if none
`int` | `_getExpandedIcon()` Retrieve this node's expanded icon, which is used to display the expanded node in a tree view.
`int` | `_getExpandedSelectedIcon()` Retrieve this node's icon to be used when displaying the selected expanded node in a tree view.
`com.sas.collection.hlist.HListInterface` | `_getMembers()` Returns the list of members in the remote SCL object.
`int` | `_getNodeChildCount()` Returns the number of children.
`com.sas.collection.hlist.HListInterface` | `_getNodeChildren(int p1, int p2)` Obtain a list that describes the specified children of the current node.
`java.lang.String` | `_getNodeExpandedText()` Retrieve the text to display when this node is expanded.
`java.lang.String` | `_getNodeText()` Retrieve the text to display when this node is not expanded.
`java.lang.String` | `_getNodeType()` Retrieve this node's type, which is used to determine the node's icon if none is specified explicitly.
`int` | `_getSelectedIcon()` Retrieve this node's selected icon, which is used to display the selected unexpanded node in a tree view.
`void` | `_initialize(com.sas.collection.hlist.HListInterface p1)`
`void` | `_initialize(com.sas.collection.hlist.HListInterface p1, int p2, int p3)` Initialize the remote object based on the items in the initList.
`boolean` | `_isLeafNode()` Tell if the node is a leaf node.
`void` | `_Remote_addContentsChangedListener(com.sas.collection.ContentsChangedListener p1)`
`int` | `_Remote_countNodeChildren(int p1)`
`com.sas.visuals.IconInterface` | `_Remote_getDefaultIcon()`
`com.sas.visuals.IconInterface` | `_Remote_getExpandedIcon()`
`com.sas.visuals.IconInterface` | `_Remote_getExpandedSelectedIcon()`
`SimpleNodeInterface` | `_Remote_getNodeChild(int p1)`
`int` | `_Remote_getNodeChildCount()`
`SimpleNodeInterface[]` | `_Remote_getNodeChildren(int p1, int p2)`
`java.lang.String` | `_Remote_getNodeExpandedText()`
`java.lang.String` | `_Remote_getNodeText()`
`java.lang.String` | `_Remote_getNodeType()`
`NodeInterface` | `_Remote_getRoot()`
`com.sas.visuals.IconInterface` | `_Remote_getSelectedIcon()`
`boolean` | `_Remote_isLeafNode()`
`void` | `_Remote_removeContentsChangedListener(com.sas.collection.ContentsChangedListener p1)`
`void` | `_RemoteConstructor()`
`void` | `_RemoteObject_getInstance()` Gets an existing instance of the object
`void` | `_RemoteObject_newInstance()` Creates a new instance of the object
`int` | `_RemoteObject_version()`
`void` | `_removeNodeChild(int p1)` Remove a child node.
`void` | `_setDefaultIcon(int p1)` Set this node's default icon, which is used to display the unexpanded node in a tree view.
`void` | `_setExpandedIcon(int p1)` Set this node's expanded icon, which is used to display the expanded node in a tree view.
`void` | `_setExpandedSelectedIcon(int p1)` Set this node's type, which is used when displaying the selected expanded node in a tree view.
`void` | `_setNodeExpandedText(java.lang.String p1)` Set the text to display when this node is expanded.
`void` | `_setNodeText(java.lang.String p1)` Set the text to display when this node is not expanded.
`void` | `_setNodeType(java.lang.String p1)` Set this node's type, which is used to determine the node's icon if none is specified explicitly.
`void` | `_setRemoteHandle(java.lang.Object o)`
`void` | `_setSelectedIcon(int p1)` Set this node's selected icon, which is used to display the selected unexpanded node in a tree view.
`void` | `addContentsChangedListener(com.sas.collection.ContentsChangedListener p1)`
`int` | `countNodeChildren(int p1)` Counts the children of the current node.
`com.sas.visuals.IconInterface` | `getDefaultIcon()` Returns the default icon for the current node.
`com.sas.visuals.IconInterface` | `getExpandedIcon()` Returns the expanded icon for the current node.
`com.sas.visuals.IconInterface` | `getExpandedSelectedIcon()` Returns the expandedSelected icon for the current node.
`SimpleNodeInterface` | `getNodeChild(int p1)` Returns the child node at the specified index.
`int` | `getNodeChildCount()` Returns the number of children.
`SimpleNodeInterface[]` | `getNodeChildren(int p1, int p2)` Returns the specified range of children for the current node.
`java.lang.String` | `getNodeExpandedText()` Returns the value of the nodeExpandedText property.
`java.lang.String` | `getNodeText()` Returns the value of the nodeText property.
`java.lang.String` | `getNodeType()` Returns the value of the nodeType property.
`NodeInterface` | `getRoot()` Returns a NodeInterface object to serve as the root node.
`com.sas.visuals.IconInterface` | `getSelectedIcon()` Returns the selected icon for the current node.
`boolean` | `isLeafNode()` Indicates whether the current node is a leaf.
`void` | `newRemoteObject()`
`void` | `removeContentsChangedListener(com.sas.collection.ContentsChangedListener p1)`
`void` | `stop()`

Methods inherited from class com.sas.Component
`addLink, addPropertyChangeListener, addVetoableChangeListener, anyPropertyChangeListeners, attachModel, attachView, beansIsDesignTime, beansSetDesignTime, clone, clone, detachModel, detachView, dumpComponent, firePropertyChange, firePropertyChange, fireVetoableChange, getComponentDescription, getComponentSupportInfo, getEventMethod, getEventValues, getExtendedBeanInfo, getLinkInfo, getModelInterface, getRequiredInterfaces, getResources, getStringResource, getViewInterfaceSupportInfo, initialize, initializeComponent, isDesignTime, isLinked, propertyChange, queryLinks, queryLinks, refresh, removeAllLinks, removeInterfaceTraps, removeLink, removePropertyChangeListener, removeVetoableChangeListener, setComponentDescription, setComponentSupportInfo, setDefaultValues, setLinkInfo, setModelInterface, setRequiredInterfaces, setViewInterfaceSupportInfo, supportsListenerInterface, supportsRequiredInterfaces, trapInterfaceEvents, validateObject`

Methods inherited from interface com.sas.ComponentInterface
`addPropertyChangeListener, addVetoableChangeListener, anyPropertyChangeListeners, dumpComponent, firePropertyChange, firePropertyChange, fireVetoableChange, getComponentDescription, getComponentSupportInfo, initialize, initializeComponent, isDesignTime, removePropertyChangeListener, removeVetoableChangeListener, setComponentDescription, setComponentSupportInfo, setDefaultValues`

Methods inherited from interface com.sas.ViewInterface
`attachModel, detachModel, getModelInterface, getRequiredInterfaces, getViewInterfaceSupportInfo, refresh, removeInterfaceTraps, setModelInterface, setRequiredInterfaces, setViewInterfaceSupportInfo, supportsRequiredInterfaces, trapInterfaceEvents`

Methods inherited from interface com.sas.ModelInterface
`attachView, detachView`

Methods inherited from interface com.sas.LinkPropertiesInterface
`addLink, getLinkInfo, isLinked, queryLinks, queryLinks, removeAllLinks, removeLink, setLinkInfo`

Constructor Detail

### _rprxRemoteServerNodeClient

    public _rprxRemoteServerNodeClient()

Method Detail

### stop

    public void stop()

  Overrides:
    `stop` in class `com.sas.rmi.RMIBaseClient`

### _setRemoteHandle

    public void _setRemoteHandle(java.lang.Object o)

### _RemoteObject_getInstance

    public void _RemoteObject_getInstance()
                                   throws java.lang.Exception

  Description copied from class: `RMIBaseClient`
  Gets an existing instance of the object

  Overrides:
    `_RemoteObject_getInstance` in class `com.sas.rmi.RMIBaseClient`
  Throws:
    `java.lang.Exception` - If some type of exception occurs

### _RemoteObject_newInstance

    public void _RemoteObject_newInstance()
                                   throws java.lang.Exception

  Description copied from class: `RMIBaseClient`
  Creates a new instance of the object

  Overrides:
    `_RemoteObject_newInstance` in class `com.sas.rmi.RMIBaseClient`
  Throws:
    `java.lang.Exception` - If some type of exception occurs

### _RemoteObject_version

    public int _RemoteObject_version()

  Specified by:
    `_RemoteObject_version` in interface `com.sas.rmi.RocfRemoteObject`
  Specified by:
    `_RemoteObject_version` in class `com.sas.rmi.RemoteBaseClient`

### _getDelegateClass

    public java.lang.Class _getDelegateClass()

  Description copied from interface: `DelegationModelInterface`
  Return the class of the delegate or null if none

  Specified by:
    `_getDelegateClass` in interface `com.sas.rmi.DelegationModelInterface`
  Overrides:
    `_getDelegateClass` in class `com.sas.rmi.RemoteBaseClient`

### _RemoteConstructor

    public void _RemoteConstructor()
                            throws java.lang.Exception,
                                   java.rmi.RemoteException

  Throws:
    `java.lang.Exception`
    `java.rmi.RemoteException`

### newRemoteObject

    public void newRemoteObject()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### _initialize

    public void _initialize(com.sas.collection.hlist.HListInterface p1)

  Specified by:
    `_initialize` in interface `ServerNodeInterface`

### _initialize

    public void _initialize(com.sas.collection.hlist.HListInterface p1,
                            int p2,
                            int p3)

  Description copied from interface: `RemoteServerNodeInterface`
  Initialize the remote object based on the items in the initList. This method is called after creating a remote instance of a subnode based on the CLASS_KEY of the subnode.

  Specified by:
    `_initialize` in interface `RemoteServerNodeInterface`
  Parameters:
    `p1` - a list of node properties.
    `p2` - the object id of the parent node
    `p3` - the list id of the original list used to create the node. The new node should replace this obsolete list on the parent with the new initList and new node object id.

### _getNodeChildren

    public com.sas.collection.hlist.HListInterface _getNodeChildren(int p1,
                                                                    int p2)

  Description copied from interface: `RemoteServerNodeInterface`
  Obtain a list that describes the specified children of the current node. Each child is described by a sublist in this returned list.

  Specified by:
    `_getNodeChildren` in interface `RemoteServerNodeInterface`
  Parameters:
    `p1` - the index of the first subnode to return (the first child is at index 0)
    `p2` - how many children to return. The returned array will have length equal to count. If there are not this many chldren starting at nodeIndex, the remaining items are left `null`.
  Returns:
    a list of sublists, each of which contains items describing a subnode of the current node. Items in each sublist are optional but use the item names stored in the static variables:
  See Also:
    `RemoteServerNodeInterface.CLASS_KEY`, `RemoteServerNodeInterface.ID_KEY`, `RemoteServerNodeInterface.TEXT_KEY`, `RemoteServerNodeInterface.TYPE_KEY`, `RemoteServerNodeInterface.EXPTEXT_KEY`, `RemoteServerNodeInterface.ICON_KEY`, `RemoteServerNodeInterface.EXPICON_KEY`, `RemoteServerNodeInterface.SELICON_KEY`, `RemoteServerNodeInterface.EXPSELICON_KEY`, `RemoteServerNodeInterface.LEAF_KEY`

### _getNodeExpandedText

    public java.lang.String _getNodeExpandedText()

  Description copied from interface: `RemoteServerNodeInterface`
  Retrieve the text to display when this node is expanded.

  Specified by:
    `_getNodeExpandedText` in interface `RemoteServerNodeInterface`
  Returns:
    the expanded text
  See Also:
    `NodeInterface.getNodeExpandedText()`

### _setNodeExpandedText

    public void _setNodeExpandedText(java.lang.String p1)

  Description copied from interface: `RemoteServerNodeInterface`
  Set the text to display when this node is expanded.

  Specified by:
    `_setNodeExpandedText` in interface `RemoteServerNodeInterface`
  Parameters:
    `p1` - the expanded text

### _getNodeText

    public java.lang.String _getNodeText()

  Description copied from interface: `RemoteServerNodeInterface`
  Retrieve the text to display when this node is not expanded.

  Specified by:
    `_getNodeText` in interface `RemoteServerNodeInterface`
  Returns:
    the unexpanded text
  See Also:
    `NodeInterface.getNodeExpandedText()`

### _setNodeText

    public void _setNodeText(java.lang.String p1)

  Description copied from interface: `RemoteServerNodeInterface`
  Set the text to display when this node is not expanded.

  Specified by:
    `_setNodeText` in interface `RemoteServerNodeInterface`
  Parameters:
    `p1` - the unexpanded text

### _getNodeType

    public java.lang.String _getNodeType()

  Description copied from interface: `RemoteServerNodeInterface`
  Retrieve this node's type, which is used to determine the node's icon if none is specified explicitly.

  Specified by:
    `_getNodeType` in interface `RemoteServerNodeInterface`
  Returns:
    this node type
  See Also:
    `NodeInterface.getNodeType()`

### _setNodeType

    public void _setNodeType(java.lang.String p1)

  Description copied from interface: `RemoteServerNodeInterface`
  Set this node's type, which is used to determine the node's icon if none is specified explicitly.

  Specified by:
    `_setNodeType` in interface `RemoteServerNodeInterface`
  Parameters:
    `p1` - this node type
  See Also:
    `NodeInterface.getNodeType()`

### _getDefaultIcon

    public int _getDefaultIcon()

  Description copied from interface: `RemoteServerNodeInterface`
  Retrieve this node's default icon, which is used to display the unexpanded node in a tree view.

  Specified by:
    `_getDefaultIcon` in interface `RemoteServerNodeInterface`
  Returns:
    this node type
  See Also:
    `NodeIconInterface.getDefaultIcon()`

### _setDefaultIcon

    public void _setDefaultIcon(int p1)

  Description copied from interface: `RemoteServerNodeInterface`
  Set this node's default icon, which is used to display the unexpanded node in a tree view.

  Specified by:
    `_setDefaultIcon` in interface `RemoteServerNodeInterface`
  Parameters:
    `p1` - this node type

### _getExpandedIcon

    public int _getExpandedIcon()

  Description copied from interface: `RemoteServerNodeInterface`
  Retrieve this node's expanded icon, which is used to display the expanded node in a tree view.

  Specified by:
    `_getExpandedIcon` in interface `RemoteServerNodeInterface`
  Returns:
    this node type
  See Also:
    `NodeIconInterface.getDefaultIcon()`

### _setExpandedIcon

    public void _setExpandedIcon(int p1)

  Description copied from interface: `RemoteServerNodeInterface`
  Set this node's expanded icon, which is used to display the expanded node in a tree view.

  Specified by:
    `_setExpandedIcon` in interface `RemoteServerNodeInterface`
  Parameters:
    `p1` - this node type
  See Also:
    `NodeIconInterface.getExpandedIcon()`

### _getSelectedIcon

    public int _getSelectedIcon()

  Description copied from interface: `RemoteServerNodeInterface`
  Retrieve this node's selected icon, which is used to display the selected unexpanded node in a tree view.

  Specified by:
    `_getSelectedIcon` in interface `RemoteServerNodeInterface`
  Returns:
    this node type
  See Also:
    `NodeIconInterface.getDefaultIcon()`

### _setSelectedIcon

    public void _setSelectedIcon(int p1)

  Description copied from interface: `RemoteServerNodeInterface`
  Set this node's selected icon, which is used to display the selected unexpanded node in a tree view.

  Specified by:
    `_setSelectedIcon` in interface `RemoteServerNodeInterface`
  Parameters:
    `p1` - this node type
  See Also:
    `NodeIconInterface.getSelectedIcon()`

### _getExpandedSelectedIcon

    public int _getExpandedSelectedIcon()

  Description copied from interface: `RemoteServerNodeInterface`
  Retrieve this node's icon to be used when displaying the selected expanded node in a tree view.

  Specified by:
    `_getExpandedSelectedIcon` in interface `RemoteServerNodeInterface`
  Returns:
    this node type
  See Also:
    `NodeIconInterface.getExpandedSelectedIcon()`

### _setExpandedSelectedIcon

    public void _setExpandedSelectedIcon(int p1)

  Description copied from interface: `RemoteServerNodeInterface`
  Set this node's type, which is used when displaying the selected expanded node in a tree view.

  Specified by:
    `_setExpandedSelectedIcon` in interface `RemoteServerNodeInterface`
  Parameters:
    `p1` - this node type

### _isLeafNode

    public boolean _isLeafNode()

  Description copied from interface: `RemoteServerNodeInterface`
  Tell if the node is a leaf node.

  Specified by:
    `_isLeafNode` in interface `RemoteServerNodeInterface`
  Returns:
    true if the node is a leaf, false if it has zero or more children.
  See Also:
    `SimpleNodeInterface.isLeafNode()`

### _countNodeChildren

    public int _countNodeChildren(int p1)

  Description copied from interface: `RemoteServerNodeInterface`
  Count the node's children, but stop if a maximum is reached.

  Specified by:
    `_countNodeChildren` in interface `RemoteServerNodeInterface`
  Returns:
    the number of children. This may be max even if there are more than max children but it is expensive to count them all.
  See Also:
    `SimpleNodeInterface.countNodeChildren(int)`

### _getNodeChildCount

    public int _getNodeChildCount()

  Description copied from interface: `RemoteServerNodeInterface`
  Returns the number of children. If the number of children is unknown, -1 is returned.

  Specified by:
    `_getNodeChildCount` in interface `RemoteServerNodeInterface`
  See Also:
    `RemoteServerNodeInterface._countNodeChildren(int)`

### _removeNodeChild

    public void _removeNodeChild(int p1)

  Description copied from interface: `RemoteServerNodeInterface`
  Remove a child node.

  Specified by:
    `_removeNodeChild` in interface `RemoteServerNodeInterface`

### _getMembers

    public com.sas.collection.hlist.HListInterface _getMembers()

  Description copied from interface: `RemoteSASListInterface`
  Returns the list of members in the remote SCL object.

  Specified by:
    `_getMembers` in interface `RemoteSASListInterface`
  Returns:
    members The list of members.

### addContentsChangedListener

    public void addContentsChangedListener(com.sas.collection.ContentsChangedListener p1)

  Specified by:
    `addContentsChangedListener` in interface `com.sas.collection.ContentsChangedSource`

### _Remote_addContentsChangedListener

    public void _Remote_addContentsChangedListener(com.sas.collection.ContentsChangedListener p1)

### removeContentsChangedListener

    public void removeContentsChangedListener(com.sas.collection.ContentsChangedListener p1)

  Specified by:
    `removeContentsChangedListener` in interface `com.sas.collection.ContentsChangedSource`

### _Remote_removeContentsChangedListener

    public void _Remote_removeContentsChangedListener(com.sas.collection.ContentsChangedListener p1)

### getRoot

    public NodeInterface getRoot()

  Description copied from interface: `TreeInterface`
  Returns a NodeInterface object to serve as the root node.

  Specified by:
    `getRoot` in interface `TreeInterface`
  Returns:
    the root node as type NodeInterface

### _Remote_getRoot

    public NodeInterface _Remote_getRoot()

### getNodeExpandedText

    public java.lang.String getNodeExpandedText()

  Description copied from interface: `NodeInterface`
  Returns the value of the nodeExpandedText property. The expanded text is usually a more descriptive version of the nodeText property. For example, a node that represents a file can return the file name for the nodeText property and the full path name for the nodeExpandedText property.

  Specified by:
    `getNodeExpandedText` in interface `NodeInterface`
  Returns:
    the nodeExpandedText property

### _Remote_getNodeExpandedText

    public java.lang.String _Remote_getNodeExpandedText()

### getNodeText

    public java.lang.String getNodeText()

  Description copied from interface: `NodeInterface`
  Returns the value of the nodeText property.

  Specified by:
    `getNodeText` in interface `NodeInterface`
  Returns:
    the nodeText property

### _Remote_getNodeText

    public java.lang.String _Remote_getNodeText()

### getNodeType

    public java.lang.String getNodeType()

  Description copied from interface: `NodeInterface`
  Returns the value of the nodeType property. The type can be used for categorizing nodes.

  Specified by:
    `getNodeType` in interface `NodeInterface`
  Returns:
    the nodeType property

### _Remote_getNodeType

    public java.lang.String _Remote_getNodeType()

### countNodeChildren

    public int countNodeChildren(int p1)

  Description copied from interface: `SimpleNodeInterface`
  Counts the children of the current node. countNodeChildren differs from getNodeChildCount when the number of children is unknown, i.e. when getNodeChildCount returns -1. If your implementation of getNodeChildCount never returns -1, then simply define countNodeChildren as a return of getNodeChildCount, otherwise read-on.

  countNodeChildren is an instruction to determine the number of children even though that number is not readily known. To limit the potential overhead of this determination, the maximum number of children to read may be specified.

  Specified by:
    `countNodeChildren` in interface `SimpleNodeInterface`
  Returns:
    The number of children known to be available.

### _Remote_countNodeChildren

    public int _Remote_countNodeChildren(int p1)

### getNodeChildCount

    public int getNodeChildCount()

  Description copied from interface: `SimpleNodeInterface`
  Returns the number of children. If the number of children is unknown, -1 should be returned.

  Specified by:
    `getNodeChildCount` in interface `SimpleNodeInterface`
  Returns:
    the number of children or -1 if unknown

### _Remote_getNodeChildCount

    public int _Remote_getNodeChildCount()

### isLeafNode

    public boolean isLeafNode()

  Description copied from interface: `SimpleNodeInterface`
  Indicates whether the current node is a leaf. A value of `true` indicates that the current node is a leaf and hence will not have any children.

  Specified by:
    `isLeafNode` in interface `SimpleNodeInterface`
  Returns:
    `true` if the current node is a leaf, otherwise `false`

### _Remote_isLeafNode

    public boolean _Remote_isLeafNode()

### getNodeChild

    public SimpleNodeInterface getNodeChild(int p1)

  Description copied from interface: `SimpleNodeInterface`
  Returns the child node at the specified index. If the leafNode property value is `true` then this method should return null.

  Specified by:
    `getNodeChild` in interface `SimpleNodeInterface`
  Parameters:
    `p1` - the 0-based index of the child node to retrieve
  Returns:
    the child at index or null if the leafNode property value is `true`.

### _Remote_getNodeChild

    public SimpleNodeInterface _Remote_getNodeChild(int p1)

### getNodeChildren

    public SimpleNodeInterface[] getNodeChildren(int p1,
                                                 int p2)

  Description copied from interface: `SimpleNodeInterface`
  Returns the specified range of children for the current node. If there are less children than are queried for, an implementation can return an array whose size if representative of the actual number of children being returned or an array whose size is the same as the number of children asked for. If the resulting array's size is the same as the number asked for and there are fewer children returned than asked for the implementation should assign the unused values in the array to null. If the leafNode property value is `true` then this method should return null.

  Specified by:
    `getNodeChildren` in interface `SimpleNodeInterface`
  Parameters:
    `p1` - 0-based index which identifies the start of the range
    `p2` - the amount of children to get
  Returns:
    an array containing the specified range of children or null if the leafNode property value is `true`.

### _Remote_getNodeChildren

    public SimpleNodeInterface[] _Remote_getNodeChildren(int p1,
                                                         int p2)

### getDefaultIcon

    public com.sas.visuals.IconInterface getDefaultIcon()

  Description copied from interface: `NodeIconInterface`
  Returns the default icon for the current node.

  Specified by:
    `getDefaultIcon` in interface `NodeIconInterface`
  Returns:
    the default icon for the current node

### _Remote_getDefaultIcon

    public com.sas.visuals.IconInterface _Remote_getDefaultIcon()

### getExpandedIcon

    public com.sas.visuals.IconInterface getExpandedIcon()

  Description copied from interface: `NodeIconInterface`
  Returns the expanded icon for the current node. If the expanded icon is null then the result of getDefaultIcon should be returned.

  Specified by:
    `getExpandedIcon` in interface `NodeIconInterface`
  Returns:
    the expanded icon for the current node

### _Remote_getExpandedIcon

    public com.sas.visuals.IconInterface _Remote_getExpandedIcon()

### getSelectedIcon

    public com.sas.visuals.IconInterface getSelectedIcon()

  Description copied from interface: `NodeIconInterface`
  Returns the selected icon for the current node. If the selected icon is null then the result of getDefaultIcon should be returned.

  Specified by:
    `getSelectedIcon` in interface `NodeIconInterface`
  Returns:
    the selected icon for the current node

### _Remote_getSelectedIcon

    public com.sas.visuals.IconInterface _Remote_getSelectedIcon()

### getExpandedSelectedIcon

    public com.sas.visuals.IconInterface getExpandedSelectedIcon()

  Description copied from interface: `NodeIconInterface`
  Returns the expandedSelected icon for the current node. If the expandedSelected icon is null then the result of getExpandedIcon should be returned.

  Specified by:
    `getExpandedSelectedIcon` in interface `NodeIconInterface`
  Returns:
    the expandedSelected icon for the current node

### _Remote_getExpandedSelectedIcon

    public com.sas.visuals.IconInterface _Remote_getExpandedSelectedIcon()

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.